%define module	Catalyst-Plugin-Static-Simple
%define name	perl-%{module}
%define	modprefix Catalyst

%define version	0.20
%define release	%mkrel 3

Summary:	Make serving static pages painless
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.gz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst) >= 5.70
BuildRequires:	perl(MIME::Types) >= 1.15
Requires:	perl-Catalyst >= 5.70
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
The Static::Simple plugin is designed to make serving static content
in your application during development quick and easy, without
requiring a single line of code from you.

This plugin detects static files by looking at the file extension in
the URL (such as B<.css> or B<.png> or B<.js>). The plugin uses the
lightweight L<MIME::Types> module to map file extensions to
IANA-registered MIME types, and will serve your static files with the
correct MIME type directly to the browser, without being processed
through Catalyst.


%prep
%setup -q -n %{module}-%{version}
##sed -i.DOS -e 's/\r//g' Changes
##sed -i.DOS -e 's/\r//g' README

%build
%__perl Makefile.PL installdirs=vendor
%make

%check
make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%clean
rm -rf %{buildroot}



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.20-3mdv2009.0
+ Revision: 255571
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.1
+ Revision: 97373
- update to new version 0.20

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.0
+ Revision: 47625
- update to new version 0.19

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.0
+ Revision: 47031
- update to new version 0.18

* Sun May 20 2007 Olivier Thauvin <nanardon@mandriva.org> 0.17-1mdv2008.0
+ Revision: 28824
- 0.17

* Mon Apr 30 2007 Olivier Thauvin <nanardon@mandriva.org> 0.15-1mdv2008.0
+ Revision: 19701
- 0.15


* Thu Jun 29 2006 Scott Karns <scott@karnstech.com> 0.14-1mdv2007.0
- Initial Mandriva RPM

